Package com.sap.ai.sdk.core.model

# Class BckndInstanceTypeGetResponse

java.lang.Object
com.sap.ai.sdk.core.model.BckndInstanceTypeGetResponse

public class BckndInstanceTypeGetResponse extends Object
BckndInstanceTypeGetResponse

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `BckndInstanceTypeGetResponse.Builder`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BckndInstanceTypeGetResponse()`
  Default constructor for BckndInstanceTypeGetResponse.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BckndInstanceTypeGetResponse.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `BckndInstanceTypeGetResponse` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `BckndInstanceTypeGetResponse`.
  `Map<String,BckndInstanceTypeValue>`
  `getInstanceTypes()`
  Get instanceTypes
  `int`
  `hashCode()`
  `BckndInstanceTypeGetResponse`
  `instanceTypes(Map<String,BckndInstanceTypeValue> instanceTypes)`
  Set the instanceTypes of this `BckndInstanceTypeGetResponse` instance and return the same instance.
  `BckndInstanceTypeGetResponse`
  `putinstanceTypesItem(String key, BckndInstanceTypeValue instanceTypesItem)`
  Put one instanceTypes instance to this `BckndInstanceTypeGetResponse` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `BckndInstanceTypeGetResponse` instance.
  `void`
  `setInstanceTypes(Map<String,BckndInstanceTypeValue> instanceTypes)`
  Set the instanceTypes of this `BckndInstanceTypeGetResponse` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `BckndInstanceTypeGetResponse` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BckndInstanceTypeGetResponse

    protected BckndInstanceTypeGetResponse()
    Default constructor for BckndInstanceTypeGetResponse.

- ## Method Details

  - ### instanceTypes

    @Nonnull public BckndInstanceTypeGetResponse instanceTypes(@Nonnull Map<String,BckndInstanceTypeValue> instanceTypes)
    Set the instanceTypes of this `BckndInstanceTypeGetResponse` instance and return the same instance.
    Parameters:
      `instanceTypes` - The instanceTypes of this `BckndInstanceTypeGetResponse`
    Returns:
      The same instance of this `BckndInstanceTypeGetResponse` class

  - ### putinstanceTypesItem

    @Nonnull public BckndInstanceTypeGetResponse putinstanceTypesItem(@Nonnull String key, @Nonnull BckndInstanceTypeValue instanceTypesItem)
    Put one instanceTypes instance to this `BckndInstanceTypeGetResponse` instance.
    Parameters:
      `key` - The String key of this instanceTypes instance
      `instanceTypesItem` - The instanceTypes that should be added under the given key
    Returns:
      The same instance of type `BckndInstanceTypeGetResponse`

  - ### getInstanceTypes

    @Nonnull public Map<String,BckndInstanceTypeValue> getInstanceTypes()
    Get instanceTypes
    Returns:
      instanceTypes The instanceTypes of this `BckndInstanceTypeGetResponse` instance.

  - ### setInstanceTypes

    public void setInstanceTypes(@Nonnull Map<String,BckndInstanceTypeValue> instanceTypes)
    Set the instanceTypes of this `BckndInstanceTypeGetResponse` instance.
    Parameters:
      `instanceTypes` - The instanceTypes of this `BckndInstanceTypeGetResponse`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `BckndInstanceTypeGetResponse`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `BckndInstanceTypeGetResponse` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `BckndInstanceTypeGetResponse` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `BckndInstanceTypeGetResponse` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static BckndInstanceTypeGetResponse.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `BckndInstanceTypeGetResponse` instance with all required arguments.